diff --git a/py/objcell.c b/py/objcell.c
index d8517587df9a..7fdf07b046d9 100644
--- a/py/objcell.c
+++ b/py/objcell.c
@@ -20,9 +20,24 @@ void mp_obj_cell_set(mp_obj_t self_in, mp_obj_t obj) {
     self->obj = obj;
 }
 
+#if 0
+STATIC void cell_print(void (*print)(void *env, const char *fmt, ...), void *env, mp_obj_t o_in, mp_print_kind_t kind) {
+    mp_obj_cell_t *o = o_in;
+    print(env, "<cell ");
+    if (o->obj == MP_OBJ_NULL) {
+        print(env, "(nil)");
+    } else {
+        //print(env, "%p", o->obj);
+        mp_obj_print_helper(print, env, o->obj, PRINT_REPR);
+    }
+    print(env, ">");
+}
+#endif
+
 const mp_obj_type_t cell_type = {
     { &mp_type_type },
     .name = MP_QSTR_, // should never need to print cell type
+    //.print = cell_print,
 };
 
 mp_obj_t mp_obj_new_cell(mp_obj_t obj) {
